aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tcpproxy/tcpproxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/tcpproxy/tcpproxy.initd')
-rw-r--r--testing/tcpproxy/tcpproxy.initd14
1 files changed, 14 insertions, 0 deletions
diff --git a/testing/tcpproxy/tcpproxy.initd b/testing/tcpproxy/tcpproxy.initd
new file mode 100644
index 0000000000..a7fd4292db
--- /dev/null
+++ b/testing/tcpproxy/tcpproxy.initd
@@ -0,0 +1,14 @@
+#!/sbin/runscript
+
+DAEMON=/usr/sbin/tcpproxy
+start() {
+ ebegin "Starting tcpproxy"
+ start-stop-daemon -S -x $DAEMON -- $TCPPROXY_OPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tcpproxy"
+ start-stop-daemon -K -x $DAEMON
+ eend $?
+}